{% extends 'admin.html.twig' %}

{% block title %}Genre index{% endblock %}

{% block body %}
    <h1>Genre index</h1>
    <a href="{{ path('app_admin_genre_new') }}">Create new</a>
    <table class="table contenair-fluid">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Description</th>
                <th>Picture</th>
                <th>Slug</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for genre in genres %}
            <tr>
                <td>{{ genre.id }}</td>
                <td>{{ genre.name }}</td>
                <td>{{ genre.description }}</td>
                <td>{{ genre.picture }}</td>
                <td>{{ genre.slug }}</td>
                <td>
                    <a href="{{ path('app_admin_genre_show', {'id': genre.id}) }}">show</a>
                    <a href="{{ path('app_admin_genre_edit', {'id': genre.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    
{% endblock %}
